Index: trunk/i18n/English.ts
===================================================================
--- trunk/i18n/English.ts	(revision 1)
+++ trunk/i18n/English.ts	(revision 1)
@@ -0,0 +1,229 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!DOCTYPE TS><TS version="1.1">
+<context encoding="UTF-8">
+    <name>MainWindow</name>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="19"/>
+        <source>Задача коммивояжера</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="39"/>
+        <source>Результат</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="69"/>
+        <source>Задание</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="90"/>
+        <source>&amp;Вариант:</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="110"/>
+        <source>&amp;Городов:</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="166"/>
+        <source>Заполнить таблицу случайными значениями</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="169"/>
+        <source>Случайно</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="179"/>
+        <source>Решить текущую задачу</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="182"/>
+        <source>Решить</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="208"/>
+        <source>&amp;Файл</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="212"/>
+        <source>Со&amp;хранить</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="232"/>
+        <source>&amp;Настройки</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="238"/>
+        <source>&amp;Помощь</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="281"/>
+        <source>&amp;Настройка печати</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="289"/>
+        <source>&amp;Печать...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="297"/>
+        <source>&amp;Ход решения</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="302"/>
+        <source>&amp;Граф решения</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="321"/>
+        <source>&amp;Создать</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="332"/>
+        <source>&amp;Открыть</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="343"/>
+        <source>&amp;Параметры</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="351"/>
+        <source>&amp;Содежание</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="359"/>
+        <source>&amp;Контекстная справка</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="367"/>
+        <source>&amp;Про...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="375"/>
+        <source>В&amp;ыход</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="378"/>
+        <source>Выйти из программы</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../resources/mainwindow.ui" line="292"/>
+        <source>Ctrl+P</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../resources/mainwindow.ui" line="313"/>
+        <source>Ctrl+S</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../resources/mainwindow.ui" line="324"/>
+        <source>Ctrl+N</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../resources/mainwindow.ui" line="335"/>
+        <source>Ctrl+O</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="310"/>
+        <source>Сохранить &amp;все</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
+<context>
+    <name>SettingsDialog</name>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="19"/>
+        <source>Параметры</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../resources/settingsdialog.ui" line="81"/>
+        <source>background-color: #0080C0</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="191"/>
+        <source>Случайные значения:</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="199"/>
+        <source>Ми&amp;нимум:</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="226"/>
+        <source>&amp;Максимум:</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="257"/>
+        <source>Настройки печати:</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="265"/>
+        <source>&amp;Левый отступ:</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="296"/>
+        <source>&amp;Шрифт...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="314"/>
+        <source>Сохранять состояние и положение главного окна</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="384"/>
+        <source>Подсказка</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="../resources/settingsdialog.ui" line="403"/>
+        <source>&amp;OK</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="416"/>
+        <source>&amp;Отмена</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="365"/>
+        <source>Помощь</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="362"/>
+        <source>Получить помощь по настройкам</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
+</TS>
Index: trunk/i18n/Ukrainian.ts
===================================================================
--- trunk/i18n/Ukrainian.ts	(revision 1)
+++ trunk/i18n/Ukrainian.ts	(revision 1)
@@ -0,0 +1,230 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!DOCTYPE TS><TS version="1.1" language="uk">
+<defaultcodec></defaultcodec>
+<context encoding="UTF-8">
+    <name>MainWindow</name>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="19"/>
+        <source>Задача коммивояжера</source>
+        <translation>Задача комівояжера</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="39"/>
+        <source>Результат</source>
+        <translation>Результат</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="69"/>
+        <source>Задание</source>
+        <translation>Завдання</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="90"/>
+        <source>&amp;Вариант:</source>
+        <translation>&amp;Варіант:</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="110"/>
+        <source>&amp;Городов:</source>
+        <translation>&amp;Міст:</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="166"/>
+        <source>Заполнить таблицу случайными значениями</source>
+        <translation>Заповнити таблицю випадковими значеннями</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="169"/>
+        <source>Случайно</source>
+        <translation>Випадково</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="179"/>
+        <source>Решить текущую задачу</source>
+        <translation>Розв&apos;язати поточну задачу</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="182"/>
+        <source>Решить</source>
+        <translation>Розв&apos;язати</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="208"/>
+        <source>&amp;Файл</source>
+        <translation>&amp;Файл</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="212"/>
+        <source>Со&amp;хранить</source>
+        <translation>&amp;Зберегти</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="232"/>
+        <source>&amp;Настройки</source>
+        <translation>&amp;Налагодження</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="238"/>
+        <source>&amp;Помощь</source>
+        <translation>&amp;Допомога</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="281"/>
+        <source>&amp;Настройка печати</source>
+        <translation>&amp;Налагодження друку</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="289"/>
+        <source>&amp;Печать...</source>
+        <translation>&amp;Друк...</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="297"/>
+        <source>&amp;Ход решения</source>
+        <translation>&amp;Хід розв&apos;язку</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="302"/>
+        <source>&amp;Граф решения</source>
+        <translation>&amp;Граф розв&apos;язку</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="321"/>
+        <source>&amp;Создать</source>
+        <translation>&amp;Створити</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="332"/>
+        <source>&amp;Открыть</source>
+        <translation>&amp;Відкрити</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="343"/>
+        <source>&amp;Параметры</source>
+        <translation>&amp;Параметри</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="351"/>
+        <source>&amp;Содежание</source>
+        <translation>&amp;Зміст</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="359"/>
+        <source>&amp;Контекстная справка</source>
+        <translation>&amp;Контекстна допомога</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="367"/>
+        <source>&amp;Про...</source>
+        <translation>&amp;Про...</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="375"/>
+        <source>В&amp;ыход</source>
+        <translation>В&amp;ихід</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="378"/>
+        <source>Выйти из программы</source>
+        <translation>Вийти з програми</translation>
+    </message>
+    <message>
+        <location filename="../resources/mainwindow.ui" line="292"/>
+        <source>Ctrl+P</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../resources/mainwindow.ui" line="313"/>
+        <source>Ctrl+S</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../resources/mainwindow.ui" line="324"/>
+        <source>Ctrl+N</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../resources/mainwindow.ui" line="335"/>
+        <source>Ctrl+O</source>
+        <translation></translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/mainwindow.ui" line="310"/>
+        <source>Сохранить &amp;все</source>
+        <translation>Зберегти &amp;все</translation>
+    </message>
+</context>
+<context>
+    <name>SettingsDialog</name>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="19"/>
+        <source>Параметры</source>
+        <translation>Параметри</translation>
+    </message>
+    <message>
+        <location filename="../resources/settingsdialog.ui" line="81"/>
+        <source>background-color: #0080C0</source>
+        <translation>background-color: #0080C0</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="191"/>
+        <source>Случайные значения:</source>
+        <translation>Випадкові значення:</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="199"/>
+        <source>Ми&amp;нимум:</source>
+        <translation>Мі&amp;німум:</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="226"/>
+        <source>&amp;Максимум:</source>
+        <translation>&amp;Максимум:</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="257"/>
+        <source>Настройки печати:</source>
+        <translation>Налагодження друку:</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="265"/>
+        <source>&amp;Левый отступ:</source>
+        <translation>&amp;Лівий відступ:</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="296"/>
+        <source>&amp;Шрифт...</source>
+        <translation>&amp;Шрифт...</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="314"/>
+        <source>Сохранять состояние и положение главного окна</source>
+        <translation>Зберегти стан та розміщення головного вікна</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="384"/>
+        <source>Подсказка</source>
+        <translation>Підказка</translation>
+    </message>
+    <message>
+        <location filename="../resources/settingsdialog.ui" line="403"/>
+        <source>&amp;OK</source>
+        <translation>&amp;OK</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="416"/>
+        <source>&amp;Отмена</source>
+        <translation>&amp;Скасувати</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="365"/>
+        <source>Помощь</source>
+        <translation>Допомога</translation>
+    </message>
+    <message encoding="UTF-8">
+        <location filename="../resources/settingsdialog.ui" line="362"/>
+        <source>Получить помощь по настройкам</source>
+        <translation>Отримати допомогу по налагодженням</translation>
+    </message>
+</context>
+</TS>
Index: trunk/resources/tspsg.qrc
===================================================================
--- trunk/resources/tspsg.qrc	(revision 1)
+++ trunk/resources/tspsg.qrc	(revision 1)
@@ -0,0 +1,24 @@
+<RCC>
+    <qresource prefix="/images" >
+        <file>About.bmp</file>
+        <file>Icon.png</file>
+        <file>Settings.png</file>
+        <file>Task.bmp</file>
+    </qresource>
+    <qresource prefix="/images/buttons" >
+        <file>buttons/Critical.png</file>
+        <file>buttons/Delete.png</file>
+        <file>buttons/Document.png</file>
+        <file>buttons/Font.png</file>
+        <file>buttons/Help.png</file>
+        <file>buttons/NoAction.png</file>
+        <file>buttons/OK.png</file>
+        <file>buttons/OpenFolder.png</file>
+        <file>buttons/Print.png</file>
+        <file>buttons/PrintSetup.png</file>
+        <file>buttons/Properties.png</file>
+        <file>buttons/Save.png</file>
+        <file>buttons/book_open.png</file>
+        <file>buttons/infoBubble.png</file>
+    </qresource>
+</RCC>
Index: trunk/src/main.cpp
===================================================================
--- trunk/src/main.cpp	(revision 178)
+++ trunk/src/main.cpp	(revision 1)
@@ -1,95 +1,38 @@
 /*
- *  TSPSG: TSP Solver and Generator
- *  Copyright (C) 2007-2011 Lёppa <contacts[at]oleksii[dot]name>
+ *	TSPSG - TSP Solver and Generator
+ *	Copyright (C) 2007 L¸ppa <lacontacts[at]gmail[dot]com>
  *
- *  $Id$
- *  $URL$
+ *	This file is part of TSPSG.
  *
- *  This file is part of TSPSG.
+ *	TSPSG is free software: you can redistribute it and/or modify
+ *	it under the terms of the GNU General Public License as published by
+ *	the Free Software Foundation, either version 3 of the License, or
+ *	(at your option) any later version.
  *
- *  TSPSG is free software: you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation, either version 3 of the License, or
- *  (at your option) any later version.
+ *	TSPSG is distributed in the hope that it will be useful,
+ *	but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *	GNU General Public License for more details.
  *
- *  TSPSG is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with TSPSG.  If not, see <http://www.gnu.org/licenses/>.
+ *	You should have received a copy of the GNU General Public License
+ *	along with TSPSG.  If not, see <http://www.gnu.org/licenses/>.
  */
 
+#include <QApplication>
+#include <QTranslator>
+#include <QMessageBox>
 #include "mainwindow.h"
-#if QT_VERSION < 0x040600
-#   ifdef Q_CC_MSVC
-#       pragma message("WARNING: You are using Qt version < 4.6. Application will not support some non-critical features.")
-#   elif defined(Q_CC_GNU)
-#       warning WARNING: You are using Qt version < 4.6. Application will not support some non-critical features.
-#   else
-#       error You are using Qt version < 4.6. Application will not support some non-critical features. To continue, please, comment line 31 at main.cpp.
-#   endif
-#endif
-
-//#ifdef STATIC_BUILD
-//	#ifndef NOSVG
-//		Q_IMPORT_PLUGIN(qsvgicon)
-//	#endif
-//#endif
-
 int main(int argc, char *argv[])
 {
-#ifdef Q_WS_S60
-    // No enough memory for solution graph generation with tasks
-    // of 20 and more cities if we use non-raster graphics system.
-    QApplication::setGraphicsSystem("raster");
-#endif
 QApplication app(argc, argv);
-    app.setOverrideCursor(QCursor(Qt::WaitCursor));
-    QTextCodec::setCodecForLocale(QTextCodec::codecForName("utf8"));
-    QTextCodec::setCodecForCStrings(QTextCodec::codecForName("utf8"));
-    QTextCodec::setCodecForTr(QTextCodec::codecForName("utf8"));
-    app.setOrganizationName("Oleksii \"Lёppa\" Serdiuk");
-    app.setOrganizationDomain("oleksii.name");
-    app.setApplicationName("TSP Solver and Generator");
-    app.setApplicationVersion(BUILD_VERSION);
-
-    // Seeding random number generator
-    qsrand(QDateTime::currentDateTime().toTime_t() ^ QCursor::pos().x() ^ QCursor::pos().y());
-
-#ifdef Q_WS_WINCE_WM
-    // Qt "leaves" unpacked .ttf files after running - let's try to delete them.
-QStringList files = QDir(app.applicationDirPath(), "*.ttf").entryList();
-    foreach (QString file, files) {
-        QFile::remove(file);
-    }
-#endif
-    // Don't load the font if it is already available
-    if (!QFontDatabase().families().contains(DEF_FONT_FACE))
-        QFontDatabase::addApplicationFont(":/files/DejaVuLGCSansMono.ttf");
-
-QTranslator en;
-    if (en.load("tspsg_en", PATH_L10N))
-        app.installTranslator(&en);
-    else if (en.load("tspsg_en", ":/l10n"))
-        app.installTranslator(&en);
+// l18n
+QLocale *qlocale = &QLocale::system();
+QTranslator translator;
+	if (translator.load(qlocale->languageToString(qlocale->language()),"i18n"))
+		app.installTranslator(&translator);//*/
 
 MainWindow mainwindow;
-#ifdef Q_WS_S60
-    //! \hack HACK: A workaround to hide Actions menu item in Symbian.
-QWidgetList widgets = QApplication::allWidgets();
-QWidget *w = 0;
-    foreach(w, widgets) {
-        w->setContextMenuPolicy(Qt::NoContextMenu);
-    }
-#endif
+	mainwindow.show();
+	return app.exec();
+}
 
-#ifdef HANDHELD
-    mainwindow.showMaximized();
-#else // HANDHELD
-    mainwindow.show();
-#endif // HANDHELD
-    app.restoreOverrideCursor();
-    return app.exec();
-}
